<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>MiniProject-01</title>
    
</head>
<body>
    <h1>Mini Project 01 Luthfi</h1>
    <div id="issues"></div>
    <script>
        async function fetchIssue() {
            var issuePrint = ''
            var response = await fetch('http://localhost:8080/tes', {
                method: 'GET',
                headers: {
                    Accept: 'application/json',
                },
            })
            var data = await response.json()
            //console.log(data.nodes.length)
            for (var index = 0; index < data.nodes.length; index++){
                //console.log(data.nodes[index].title)
                issuePrint += `<div><a href="detail.html?id=${data.nodes[index].number}" >${[data.nodes[index].number]}: ${data.nodes[index].title}</a></div>`
            }
            //<a href="url">link text</a>
            document.getElementById('issues').innerHTML = issuePrint
        }

        window.onload = () => {
            fetchIssue()
        }
    </script>
    
</body>
</html>